# swagger-client
Api Documentation

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_delete()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_delete: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_get: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_head()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_head: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_options()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_options: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_patch()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_patch: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_post()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_post: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.BasicErrorControllerApi(swagger_client.ApiClient(configuration))

try:
    # errorHtml
    api_response = api_instance.error_html_using_put()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BasicErrorControllerApi->error_html_using_put: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *//event-sink-qa-us-east-2.dev.braintree-api.com/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BasicErrorControllerApi* | [**error_html_using_delete**](docs/BasicErrorControllerApi.md#error_html_using_delete) | **DELETE** /error | errorHtml
*BasicErrorControllerApi* | [**error_html_using_get**](docs/BasicErrorControllerApi.md#error_html_using_get) | **GET** /error | errorHtml
*BasicErrorControllerApi* | [**error_html_using_head**](docs/BasicErrorControllerApi.md#error_html_using_head) | **HEAD** /error | errorHtml
*BasicErrorControllerApi* | [**error_html_using_options**](docs/BasicErrorControllerApi.md#error_html_using_options) | **OPTIONS** /error | errorHtml
*BasicErrorControllerApi* | [**error_html_using_patch**](docs/BasicErrorControllerApi.md#error_html_using_patch) | **PATCH** /error | errorHtml
*BasicErrorControllerApi* | [**error_html_using_post**](docs/BasicErrorControllerApi.md#error_html_using_post) | **POST** /error | errorHtml
*BasicErrorControllerApi* | [**error_html_using_put**](docs/BasicErrorControllerApi.md#error_html_using_put) | **PUT** /error | errorHtml
*EventSinkControllerApi* | [**publish_event_using_post**](docs/EventSinkControllerApi.md#publish_event_using_post) | **POST** /publish | publishEvent
*EventSinkControllerApi* | [**send_message_with_template_using_post**](docs/EventSinkControllerApi.md#send_message_with_template_using_post) | **POST** /sendAlertEvent | sendMessageWithTemplate
*HealthControllerApi* | [**health_using_get**](docs/HealthControllerApi.md#health_using_get) | **GET** /health | health

## Documentation For Models

 - [AdditionalData](docs/AdditionalData.md)
 - [EventBean](docs/EventBean.md)
 - [ModelAndView](docs/ModelAndView.md)
 - [MonitoringContext](docs/MonitoringContext.md)
 - [ReportMonitorInfo](docs/ReportMonitorInfo.md)
 - [ResponseEntity](docs/ResponseEntity.md)
 - [ValidationResult](docs/ValidationResult.md)
 - [View](docs/View.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author


